﻿namespace Shared.PasteSpecialXml.EAF.XML.API.CellInstance
{

    // NOTE: Generated code may require at least .NET Framework 4.5 or .NET Core/Standard 2.0.
    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities", IsNullable = false)]
    public partial class CellInstanceVersion
    {

        private string createdByField;

        private System.DateTime creationDateField;

        private object descriptionField;

        private ExtensionsVersionExtension[] extensionsField;

        private System.DateTime freezeDateField;

        private string frozenByField;

        private long idField;

        private bool isFrozenField;

        private bool isRetiredField;

        private System.DateTime retireDateField;

        private object retiredByField;

        private string cellCommunicatingRuleField;

        private string cellNotCommunicatingRuleField;

        private CellInstanceVersionCellSetting cellSettingField;

        private CellInstanceVersionComponentModel componentModelField;

        private SelectedDeploymentPackage[] deploymentPackagesField;

        private CellInstanceVersionEdaConnection edaConnectionField;

        private EquipmentConnectionSettings[] equipmentConnectionsField;

        private string nameField;

        private CellInstanceVersionParentInstance parentInstanceField;

        private CellInstanceVersionEdaTraceHandling edaTraceHandlingField;

        private string id1Field;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
            "ntities")]
        public string CreatedBy
        {
            get
            {
                return this.createdByField;
            }
            set
            {
                this.createdByField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
            "ntities")]
        public System.DateTime CreationDate
        {
            get
            {
                return this.creationDateField;
            }
            set
            {
                this.creationDateField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
            "ntities", IsNullable = true)]
        public object Description
        {
            get
            {
                return this.descriptionField;
            }
            set
            {
                this.descriptionField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
            "ntities")]
        [System.Xml.Serialization.XmlArrayItemAttribute("VersionExtension", IsNullable = false)]
        public ExtensionsVersionExtension[] Extensions
        {
            get
            {
                return this.extensionsField;
            }
            set
            {
                this.extensionsField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
            "ntities")]
        public System.DateTime FreezeDate
        {
            get
            {
                return this.freezeDateField;
            }
            set
            {
                this.freezeDateField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
            "ntities")]
        public string FrozenBy
        {
            get
            {
                return this.frozenByField;
            }
            set
            {
                this.frozenByField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
            "ntities")]
        public long Id
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
            "ntities")]
        public bool IsFrozen
        {
            get
            {
                return this.isFrozenField;
            }
            set
            {
                this.isFrozenField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
            "ntities")]
        public bool IsRetired
        {
            get
            {
                return this.isRetiredField;
            }
            set
            {
                this.isRetiredField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
            "ntities")]
        public System.DateTime RetireDate
        {
            get
            {
                return this.retireDateField;
            }
            set
            {
                this.retireDateField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
            "ntities", IsNullable = true)]
        public object RetiredBy
        {
            get
            {
                return this.retiredByField;
            }
            set
            {
                this.retiredByField = value;
            }
        }

        /// <remarks/>
        public string CellCommunicatingRule
        {
            get
            {
                return this.cellCommunicatingRuleField;
            }
            set
            {
                this.cellCommunicatingRuleField = value;
            }
        }

        /// <remarks/>
        public string CellNotCommunicatingRule
        {
            get
            {
                return this.cellNotCommunicatingRuleField;
            }
            set
            {
                this.cellNotCommunicatingRuleField = value;
            }
        }

        /// <remarks/>
        public CellInstanceVersionCellSetting CellSetting
        {
            get
            {
                return this.cellSettingField;
            }
            set
            {
                this.cellSettingField = value;
            }
        }

        /// <remarks/>
        public CellInstanceVersionComponentModel ComponentModel
        {
            get
            {
                return this.componentModelField;
            }
            set
            {
                this.componentModelField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("SelectedDeploymentPackage", Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Deployme" +
            "nt", IsNullable = false)]
        public SelectedDeploymentPackage[] DeploymentPackages
        {
            get
            {
                return this.deploymentPackagesField;
            }
            set
            {
                this.deploymentPackagesField = value;
            }
        }

        /// <remarks/>
        public CellInstanceVersionEdaConnection EdaConnection
        {
            get
            {
                return this.edaConnectionField;
            }
            set
            {
                this.edaConnectionField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("EquipmentConnectionSettings", Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
            "ntities.CellInstances", IsNullable = false)]
        public EquipmentConnectionSettings[] EquipmentConnections
        {
            get
            {
                return this.equipmentConnectionsField;
            }
            set
            {
                this.equipmentConnectionsField = value;
            }
        }

        /// <remarks/>
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        public CellInstanceVersionParentInstance ParentInstance
        {
            get
            {
                return this.parentInstanceField;
            }
            set
            {
                this.parentInstanceField = value;
            }
        }

        /// <remarks/>
        public CellInstanceVersionEdaTraceHandling EdaTraceHandling
        {
            get
            {
                return this.edaTraceHandlingField;
            }
            set
            {
                this.edaTraceHandlingField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
        public string Id1
        {
            get
            {
                return this.id1Field;
            }
            set
            {
                this.id1Field = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Deployme" +
        "nt")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Deployme" +
        "nt", IsNullable = false)]
    public partial class SelectedDeploymentPackage
    {

        private long idField;

        private string packageNameField;

        private string packageVersionField;

        /// <remarks/>
        public long Id
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        public string PackageName
        {
            get
            {
                return this.packageNameField;
            }
            set
            {
                this.packageNameField = value;
            }
        }

        /// <remarks/>
        public string PackageVersion
        {
            get
            {
                return this.packageVersionField;
            }
            set
            {
                this.packageVersionField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities.CellInstances")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities.CellInstances", IsNullable = false)]
    public partial class EquipmentConnectionSettings
    {

        private string refField;

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
        public string Ref
        {
            get
            {
                return this.refField;
            }
            set
            {
                this.refField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities")]
    public partial class ExtensionsVersionExtension
    {

        private long idField;

        private string classNameField;

        private object configurationField;

        private string nameField;

        private object editorsField;

        private string id1Field;

        private string i___typeField;

        /// <remarks/>
        public long Id
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Backbone" +
            "s")]
        public string ClassName
        {
            get
            {
                return this.classNameField;
            }
            set
            {
                this.classNameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Backbone" +
            "s", IsNullable = true)]
        public object Configuration
        {
            get
            {
                return this.configurationField;
            }
            set
            {
                this.configurationField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Backbone" +
            "s")]
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
            "tAutomationClient")]
        public object Editors
        {
            get
            {
                return this.editorsField;
            }
            set
            {
                this.editorsField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
        public string Id1
        {
            get
            {
                return this.id1Field;
            }
            set
            {
                this.id1Field = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string i___type
        {
            get
            {
                return this.i___typeField;
            }
            set
            {
                this.i___typeField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
    public partial class CellInstanceVersionCellSetting
    {

        private long idField;

        private CellType cellTypeField;

        private string nameField;

        private string id1Field;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
            "ntities")]
        public long Id
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
            "ntities.CellInstances")]
        public CellType CellType
        {
            get
            {
                return this.cellTypeField;
            }
            set
            {
                this.cellTypeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
            "ntities.CellInstances")]
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
        public string Id1
        {
            get
            {
                return this.id1Field;
            }
            set
            {
                this.id1Field = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities.CellInstances")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities.CellInstances", IsNullable = false)]
    public partial class CellType
    {

        private long idField;

        private string nameField;

        private string versionField;

        private string id1Field;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
        public long Id
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
        public string Version
        {
            get
            {
                return this.versionField;
            }
            set
            {
                this.versionField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
        public string Id1
        {
            get
            {
                return this.id1Field;
            }
            set
            {
                this.id1Field = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
    public partial class CellInstanceVersionComponentModel
    {

        private long idField;

        private ComponentsCellComponent[] componentsField;

        private string id1Field;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
            "ntities")]
        public long Id
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
            "ntities.CellInstances")]
        [System.Xml.Serialization.XmlArrayItemAttribute("CellComponent", IsNullable = false)]
        public ComponentsCellComponent[] Components
        {
            get
            {
                return this.componentsField;
            }
            set
            {
                this.componentsField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
        public string Id1
        {
            get
            {
                return this.id1Field;
            }
            set
            {
                this.id1Field = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities.CellInstances")]
    public partial class ComponentsCellComponent
    {

        private ComponentsCellComponentCellComponent[] childrenField;

        private ComponentsCellComponentEquipment equipmentField;

        private object equipmentObjectTypeField;

        private string nameField;

        private ComponentsCellComponentComponentParameter[] parametersField;

        private string typeField;

        private string idField;

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("CellComponent", IsNullable = false)]
        public ComponentsCellComponentCellComponent[] Children
        {
            get
            {
                return this.childrenField;
            }
            set
            {
                this.childrenField = value;
            }
        }

        /// <remarks/>
        public ComponentsCellComponentEquipment Equipment
        {
            get
            {
                return this.equipmentField;
            }
            set
            {
                this.equipmentField = value;
            }
        }

        /// <remarks/>
        public object EquipmentObjectType
        {
            get
            {
                return this.equipmentObjectTypeField;
            }
            set
            {
                this.equipmentObjectTypeField = value;
            }
        }

        /// <remarks/>
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ComponentParameter", IsNullable = false)]
        public ComponentsCellComponentComponentParameter[] Parameters
        {
            get
            {
                return this.parametersField;
            }
            set
            {
                this.parametersField = value;
            }
        }

        /// <remarks/>
        public string Type
        {
            get
            {
                return this.typeField;
            }
            set
            {
                this.typeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
        public string Id
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities.CellInstances")]
    public partial class ComponentsCellComponentCellComponent
    {

        private object childrenField;

        private ComponentsCellComponentCellComponentEquipment equipmentField;

        private object equipmentObjectTypeField;

        private string nameField;

        private ComponentsCellComponentCellComponentComponentParameter[] parametersField;

        private string typeField;

        private string idField;

        /// <remarks/>
        public object Children
        {
            get
            {
                return this.childrenField;
            }
            set
            {
                this.childrenField = value;
            }
        }

        /// <remarks/>
        public ComponentsCellComponentCellComponentEquipment Equipment
        {
            get
            {
                return this.equipmentField;
            }
            set
            {
                this.equipmentField = value;
            }
        }

        /// <remarks/>
        public object EquipmentObjectType
        {
            get
            {
                return this.equipmentObjectTypeField;
            }
            set
            {
                this.equipmentObjectTypeField = value;
            }
        }

        /// <remarks/>
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ComponentParameter", IsNullable = false)]
        public ComponentsCellComponentCellComponentComponentParameter[] Parameters
        {
            get
            {
                return this.parametersField;
            }
            set
            {
                this.parametersField = value;
            }
        }

        /// <remarks/>
        public string Type
        {
            get
            {
                return this.typeField;
            }
            set
            {
                this.typeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
        public string Id
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities.CellInstances")]
    public partial class ComponentsCellComponentCellComponentEquipment
    {


        private long idField;

        private ComponentsCellComponentChildrenCellComponentEquipmentEquipmentDictionaries equipmentDictionariesField;

        private ComponentsCellComponentCellComponentEquipmentEquipmentType equipmentTypeField;

        private string nameField;

        private string alternateTargetFolderField;

        private long connectionRetryIntervalField;

        private ConnectionSettings connectionSettingsField;

        private bool copySourceFolderStructureField;

        private string defaultPlaceHolderValueField;

        private bool deleteEmptySourceSubFoldersField;

        private string errorPostProcessingModeField;

        private string errorTargetFileLocationField;

        private string errorTargetFileNameField;

        private string fileAgeFilterModeField;

        private string fileAgeThresholdField;

        private long fileHandleTimeoutField;

        private long fileHandleWaitTimeField;

        private int fileScanningIntervalInSecondsField;

        private string fileScanningOptionField;

        private int idleEventWaitTimeInSecondsField;

        private string ifFileExistActionField;

        private string ifPostProcessingFailsActionField;

        private bool includeSubDirectoriesField;

        private string postProcessingModeField;

        private long postProcessingRetriesField;

        private string preProcessingModeField;

        private string skipSearchDirectoryNamesField;

        private string sourceFileFilterField;

        private string sourceFileLocationField;

        private string targetFileLocationField;

        private string targetFileNameField;

        private bool triggerOnChangedField;

        private bool triggerOnCreatedField;

        private bool useZip64ModeField;

        private string zipErrorTargetFileNameField;

        private long zipFileAmountField;

        private long zipFileSubFolderLevelField;

        private long zipFileTimeField;

        private string zipModeField;

        private string zipTargetFileNameField;

        private string baudRateField;

        private string connectionModeField;

        private byte deviceIdField;

        private bool deviceIdFieldSpecified;

        private string hostField;

        private string linkTestTimerField;

        private ushort portField;

        private bool portFieldSpecified;

        private string portTypeField;

        private string sessionModeField;

        private string t1InterCharacterField;

        private string t2ProtocolField;

        private string t3MessageReplyField;

        private string t4InterBlockField;

        private string t5ConnectionSeperationField;

        private string t6HsmsControlMessageField;

        private string t7ConnectionIdleField;

        private string t8NetworkIntercharacterField;

        private string id1Field;

        private string i___typeField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
            "ntities")]
        public long Id
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>

        /// <remarks/>
        public ComponentsCellComponentChildrenCellComponentEquipmentEquipmentDictionaries EquipmentDictionaries
        {
            get
            {
                return this.equipmentDictionariesField;
            }
            set
            {
                this.equipmentDictionariesField = value;
            }
        }

        /// <remarks/>
        public ComponentsCellComponentCellComponentEquipmentEquipmentType EquipmentType
        {
            get
            {
                return this.equipmentTypeField;
            }
            set
            {
                this.equipmentTypeField = value;
            }
        }

        /// <remarks/>
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string AlternateTargetFolder
        {
            get
            {
                return this.alternateTargetFolderField;
            }
            set
            {
                this.alternateTargetFolderField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public long ConnectionRetryInterval
        {
            get
            {
                return this.connectionRetryIntervalField;
            }
            set
            {
                this.connectionRetryIntervalField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public ConnectionSettings ConnectionSettings
        {
            get
            {
                return this.connectionSettingsField;
            }
            set
            {
                this.connectionSettingsField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public bool CopySourceFolderStructure
        {
            get
            {
                return this.copySourceFolderStructureField;
            }
            set
            {
                this.copySourceFolderStructureField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string DefaultPlaceHolderValue
        {
            get
            {
                return this.defaultPlaceHolderValueField;
            }
            set
            {
                this.defaultPlaceHolderValueField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public bool DeleteEmptySourceSubFolders
        {
            get
            {
                return this.deleteEmptySourceSubFoldersField;
            }
            set
            {
                this.deleteEmptySourceSubFoldersField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string ErrorPostProcessingMode
        {
            get
            {
                return this.errorPostProcessingModeField;
            }
            set
            {
                this.errorPostProcessingModeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string ErrorTargetFileLocation
        {
            get
            {
                return this.errorTargetFileLocationField;
            }
            set
            {
                this.errorTargetFileLocationField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string ErrorTargetFileName
        {
            get
            {
                return this.errorTargetFileNameField;
            }
            set
            {
                this.errorTargetFileNameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string FileAgeFilterMode
        {
            get
            {
                return this.fileAgeFilterModeField;
            }
            set
            {
                this.fileAgeFilterModeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string FileAgeThreshold
        {
            get
            {
                return this.fileAgeThresholdField;
            }
            set
            {
                this.fileAgeThresholdField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public long FileHandleTimeout
        {
            get
            {
                return this.fileHandleTimeoutField;
            }
            set
            {
                this.fileHandleTimeoutField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public long FileHandleWaitTime
        {
            get
            {
                return this.fileHandleWaitTimeField;
            }
            set
            {
                this.fileHandleWaitTimeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public int FileScanningIntervalInSeconds
        {
            get
            {
                return this.fileScanningIntervalInSecondsField;
            }
            set
            {
                this.fileScanningIntervalInSecondsField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string FileScanningOption
        {
            get
            {
                return this.fileScanningOptionField;
            }
            set
            {
                this.fileScanningOptionField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public int IdleEventWaitTimeInSeconds
        {
            get
            {
                return this.idleEventWaitTimeInSecondsField;
            }
            set
            {
                this.idleEventWaitTimeInSecondsField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string IfFileExistAction
        {
            get
            {
                return this.ifFileExistActionField;
            }
            set
            {
                this.ifFileExistActionField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string IfPostProcessingFailsAction
        {
            get
            {
                return this.ifPostProcessingFailsActionField;
            }
            set
            {
                this.ifPostProcessingFailsActionField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public bool IncludeSubDirectories
        {
            get
            {
                return this.includeSubDirectoriesField;
            }
            set
            {
                this.includeSubDirectoriesField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string PostProcessingMode
        {
            get
            {
                return this.postProcessingModeField;
            }
            set
            {
                this.postProcessingModeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public long PostProcessingRetries
        {
            get
            {
                return this.postProcessingRetriesField;
            }
            set
            {
                this.postProcessingRetriesField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string PreProcessingMode
        {
            get
            {
                return this.preProcessingModeField;
            }
            set
            {
                this.preProcessingModeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string SkipSearchDirectoryNames
        {
            get
            {
                return this.skipSearchDirectoryNamesField;
            }
            set
            {
                this.skipSearchDirectoryNamesField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string SourceFileFilter
        {
            get
            {
                return this.sourceFileFilterField;
            }
            set
            {
                this.sourceFileFilterField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string SourceFileLocation
        {
            get
            {
                return this.sourceFileLocationField;
            }
            set
            {
                this.sourceFileLocationField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string TargetFileLocation
        {
            get
            {
                return this.targetFileLocationField;
            }
            set
            {
                this.targetFileLocationField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string TargetFileName
        {
            get
            {
                return this.targetFileNameField;
            }
            set
            {
                this.targetFileNameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public bool TriggerOnChanged
        {
            get
            {
                return this.triggerOnChangedField;
            }
            set
            {
                this.triggerOnChangedField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public bool TriggerOnCreated
        {
            get
            {
                return this.triggerOnCreatedField;
            }
            set
            {
                this.triggerOnCreatedField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public bool UseZip64Mode
        {
            get
            {
                return this.useZip64ModeField;
            }
            set
            {
                this.useZip64ModeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string ZipErrorTargetFileName
        {
            get
            {
                return this.zipErrorTargetFileNameField;
            }
            set
            {
                this.zipErrorTargetFileNameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public long ZipFileAmount
        {
            get
            {
                return this.zipFileAmountField;
            }
            set
            {
                this.zipFileAmountField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public long ZipFileSubFolderLevel
        {
            get
            {
                return this.zipFileSubFolderLevelField;
            }
            set
            {
                this.zipFileSubFolderLevelField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public long ZipFileTime
        {
            get
            {
                return this.zipFileTimeField;
            }
            set
            {
                this.zipFileTimeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string ZipMode
        {
            get
            {
                return this.zipModeField;
            }
            set
            {
                this.zipModeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string ZipTargetFileName
        {
            get
            {
                return this.zipTargetFileNameField;
            }
            set
            {
                this.zipTargetFileNameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
            "uctor.CellInstances")]
        public string BaudRate
        {
            get
            {
                return this.baudRateField;
            }
            set
            {
                this.baudRateField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
            "uctor.CellInstances")]
        public string ConnectionMode
        {
            get
            {
                return this.connectionModeField;
            }
            set
            {
                this.connectionModeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
            "uctor.CellInstances")]
        public byte DeviceId
        {
            get
            {
                return this.deviceIdField;
            }
            set
            {
                this.deviceIdField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DeviceIdSpecified
        {
            get
            {
                return this.deviceIdFieldSpecified;
            }
            set
            {
                this.deviceIdFieldSpecified = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
            "uctor.CellInstances")]
        public string Host
        {
            get
            {
                return this.hostField;
            }
            set
            {
                this.hostField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
            "uctor.CellInstances", DataType = "duration")]
        public string LinkTestTimer
        {
            get
            {
                return this.linkTestTimerField;
            }
            set
            {
                this.linkTestTimerField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
            "uctor.CellInstances")]
        public ushort Port
        {
            get
            {
                return this.portField;
            }
            set
            {
                this.portField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool PortSpecified
        {
            get
            {
                return this.portFieldSpecified;
            }
            set
            {
                this.portFieldSpecified = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
            "uctor.CellInstances")]
        public string PortType
        {
            get
            {
                return this.portTypeField;
            }
            set
            {
                this.portTypeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
            "uctor.CellInstances")]
        public string SessionMode
        {
            get
            {
                return this.sessionModeField;
            }
            set
            {
                this.sessionModeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
            "uctor.CellInstances", DataType = "duration")]
        public string T1InterCharacter
        {
            get
            {
                return this.t1InterCharacterField;
            }
            set
            {
                this.t1InterCharacterField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
            "uctor.CellInstances", DataType = "duration")]
        public string T2Protocol
        {
            get
            {
                return this.t2ProtocolField;
            }
            set
            {
                this.t2ProtocolField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
            "uctor.CellInstances", DataType = "duration")]
        public string T3MessageReply
        {
            get
            {
                return this.t3MessageReplyField;
            }
            set
            {
                this.t3MessageReplyField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
            "uctor.CellInstances", DataType = "duration")]
        public string T4InterBlock
        {
            get
            {
                return this.t4InterBlockField;
            }
            set
            {
                this.t4InterBlockField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
            "uctor.CellInstances", DataType = "duration")]
        public string T5ConnectionSeperation
        {
            get
            {
                return this.t5ConnectionSeperationField;
            }
            set
            {
                this.t5ConnectionSeperationField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
            "uctor.CellInstances", DataType = "duration")]
        public string T6HsmsControlMessage
        {
            get
            {
                return this.t6HsmsControlMessageField;
            }
            set
            {
                this.t6HsmsControlMessageField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
            "uctor.CellInstances", DataType = "duration")]
        public string T7ConnectionIdle
        {
            get
            {
                return this.t7ConnectionIdleField;
            }
            set
            {
                this.t7ConnectionIdleField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Semicond" +
            "uctor.CellInstances", DataType = "duration")]
        public string T8NetworkIntercharacter
        {
            get
            {
                return this.t8NetworkIntercharacterField;
            }
            set
            {
                this.t8NetworkIntercharacterField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
        public string Id1
        {
            get
            {
                return this.id1Field;
            }
            set
            {
                this.id1Field = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string i___type
        {
            get
            {
                return this.i___typeField;
            }
            set
            {
                this.i___typeField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities.CellInstances")]
    public partial class ComponentsCellComponentChildrenCellComponentEquipmentEquipmentDictionaries
    {

        private CellEquipmentDictionaryReference cellEquipmentDictionaryReferenceField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
        public CellEquipmentDictionaryReference CellEquipmentDictionaryReference
        {
            get
            {
                return this.cellEquipmentDictionaryReferenceField;
            }
            set
            {
                this.cellEquipmentDictionaryReferenceField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities", IsNullable = false)]
    public partial class CellEquipmentDictionaryReference
    {

        private string dictionaryNameField;

        private string dictionaryVersionField;

        private byte idField;

        private string id1Field;

        /// <remarks/>
        public string DictionaryName
        {
            get
            {
                return this.dictionaryNameField;
            }
            set
            {
                this.dictionaryNameField = value;
            }
        }

        /// <remarks/>
        public string DictionaryVersion
        {
            get
            {
                return this.dictionaryVersionField;
            }
            set
            {
                this.dictionaryVersionField = value;
            }
        }

        /// <remarks/>
        public byte Id
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
        public string Id1
        {
            get
            {
                return this.id1Field;
            }
            set
            {
                this.id1Field = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities.CellInstances")]
    public partial class ComponentsCellComponentCellComponentEquipmentEquipmentType
    {

        private long idField;

        private string nameField;

        private string versionField;

        private string id1Field;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
        public long Id
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
        public string Version
        {
            get
            {
                return this.versionField;
            }
            set
            {
                this.versionField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
        public string Id1
        {
            get
            {
                return this.id1Field;
            }
            set
            {
                this.id1Field = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities.CellInstances")]
    public partial class ComponentsCellComponentCellComponentComponentParameter
    {

        private object enumTypeField;

        private long idField;

        private string nameField;

        private string valueField;

        private string valueTypeField;

        private bool isOverrideField;

        private string id1Field;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
            "mation", IsNullable = true)]
        public object EnumType
        {
            get
            {
                return this.enumTypeField;
            }
            set
            {
                this.enumTypeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
            "mation")]
        public long Id
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
            "mation")]
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
            "mation")]
        public string Value
        {
            get
            {
                return this.valueField;
            }
            set
            {
                this.valueField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
            "mation")]
        public string ValueType
        {
            get
            {
                return this.valueTypeField;
            }
            set
            {
                this.valueTypeField = value;
            }
        }

        /// <remarks/>
        public bool IsOverride
        {
            get
            {
                return this.isOverrideField;
            }
            set
            {
                this.isOverrideField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
        public string Id1
        {
            get
            {
                return this.id1Field;
            }
            set
            {
                this.id1Field = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities.CellInstances")]
    public partial class ComponentsCellComponentEquipment
    {

        private long idField;

        private object equipmentDictionariesField;

        private ComponentsCellComponentEquipmentEquipmentType equipmentTypeField;

        private string nameField;

        private string alternateTargetFolderField;

        private long connectionRetryIntervalField;

        private ConnectionSettings connectionSettingsField;

        private bool copySourceFolderStructureField;

        private string defaultPlaceHolderValueField;

        private bool deleteEmptySourceSubFoldersField;

        private string errorPostProcessingModeField;

        private string errorTargetFileLocationField;

        private string errorTargetFileNameField;

        private string fileAgeFilterModeField;

        private string fileAgeThresholdField;

        private long fileHandleTimeoutField;

        private long fileHandleWaitTimeField;

        private int fileScanningIntervalInSecondsField;

        private string fileScanningOptionField;

        private int idleEventWaitTimeInSecondsField;

        private string ifFileExistActionField;

        private string ifPostProcessingFailsActionField;

        private bool includeSubDirectoriesField;

        private string postProcessingModeField;

        private long postProcessingRetriesField;

        private string preProcessingModeField;

        private string skipSearchDirectoryNamesField;

        private string sourceFileFilterField;

        private string sourceFileLocationField;

        private string targetFileLocationField;

        private string targetFileNameField;

        private bool triggerOnChangedField;

        private bool triggerOnCreatedField;

        private bool useZip64ModeField;

        private string zipErrorTargetFileNameField;

        private long zipFileAmountField;

        private long zipFileSubFolderLevelField;

        private long zipFileTimeField;

        private string zipModeField;

        private string zipTargetFileNameField;

        private string refField;

        private string id1Field;

        private string i___typeField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
            "ntities")]
        public long Id
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        public object EquipmentDictionaries
        {
            get
            {
                return this.equipmentDictionariesField;
            }
            set
            {
                this.equipmentDictionariesField = value;
            }
        }

        /// <remarks/>
        public ComponentsCellComponentEquipmentEquipmentType EquipmentType
        {
            get
            {
                return this.equipmentTypeField;
            }
            set
            {
                this.equipmentTypeField = value;
            }
        }

        /// <remarks/>
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string AlternateTargetFolder
        {
            get
            {
                return this.alternateTargetFolderField;
            }
            set
            {
                this.alternateTargetFolderField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public long ConnectionRetryInterval
        {
            get
            {
                return this.connectionRetryIntervalField;
            }
            set
            {
                this.connectionRetryIntervalField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public ConnectionSettings ConnectionSettings
        {
            get
            {
                return this.connectionSettingsField;
            }
            set
            {
                this.connectionSettingsField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public bool CopySourceFolderStructure
        {
            get
            {
                return this.copySourceFolderStructureField;
            }
            set
            {
                this.copySourceFolderStructureField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string DefaultPlaceHolderValue
        {
            get
            {
                return this.defaultPlaceHolderValueField;
            }
            set
            {
                this.defaultPlaceHolderValueField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public bool DeleteEmptySourceSubFolders
        {
            get
            {
                return this.deleteEmptySourceSubFoldersField;
            }
            set
            {
                this.deleteEmptySourceSubFoldersField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string ErrorPostProcessingMode
        {
            get
            {
                return this.errorPostProcessingModeField;
            }
            set
            {
                this.errorPostProcessingModeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string ErrorTargetFileLocation
        {
            get
            {
                return this.errorTargetFileLocationField;
            }
            set
            {
                this.errorTargetFileLocationField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string ErrorTargetFileName
        {
            get
            {
                return this.errorTargetFileNameField;
            }
            set
            {
                this.errorTargetFileNameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string FileAgeFilterMode
        {
            get
            {
                return this.fileAgeFilterModeField;
            }
            set
            {
                this.fileAgeFilterModeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string FileAgeThreshold
        {
            get
            {
                return this.fileAgeThresholdField;
            }
            set
            {
                this.fileAgeThresholdField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public long FileHandleTimeout
        {
            get
            {
                return this.fileHandleTimeoutField;
            }
            set
            {
                this.fileHandleTimeoutField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public long FileHandleWaitTime
        {
            get
            {
                return this.fileHandleWaitTimeField;
            }
            set
            {
                this.fileHandleWaitTimeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public int FileScanningIntervalInSeconds
        {
            get
            {
                return this.fileScanningIntervalInSecondsField;
            }
            set
            {
                this.fileScanningIntervalInSecondsField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string FileScanningOption
        {
            get
            {
                return this.fileScanningOptionField;
            }
            set
            {
                this.fileScanningOptionField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public int IdleEventWaitTimeInSeconds
        {
            get
            {
                return this.idleEventWaitTimeInSecondsField;
            }
            set
            {
                this.idleEventWaitTimeInSecondsField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string IfFileExistAction
        {
            get
            {
                return this.ifFileExistActionField;
            }
            set
            {
                this.ifFileExistActionField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string IfPostProcessingFailsAction
        {
            get
            {
                return this.ifPostProcessingFailsActionField;
            }
            set
            {
                this.ifPostProcessingFailsActionField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public bool IncludeSubDirectories
        {
            get
            {
                return this.includeSubDirectoriesField;
            }
            set
            {
                this.includeSubDirectoriesField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string PostProcessingMode
        {
            get
            {
                return this.postProcessingModeField;
            }
            set
            {
                this.postProcessingModeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public long PostProcessingRetries
        {
            get
            {
                return this.postProcessingRetriesField;
            }
            set
            {
                this.postProcessingRetriesField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string PreProcessingMode
        {
            get
            {
                return this.preProcessingModeField;
            }
            set
            {
                this.preProcessingModeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string SkipSearchDirectoryNames
        {
            get
            {
                return this.skipSearchDirectoryNamesField;
            }
            set
            {
                this.skipSearchDirectoryNamesField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string SourceFileFilter
        {
            get
            {
                return this.sourceFileFilterField;
            }
            set
            {
                this.sourceFileFilterField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string SourceFileLocation
        {
            get
            {
                return this.sourceFileLocationField;
            }
            set
            {
                this.sourceFileLocationField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string TargetFileLocation
        {
            get
            {
                return this.targetFileLocationField;
            }
            set
            {
                this.targetFileLocationField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string TargetFileName
        {
            get
            {
                return this.targetFileNameField;
            }
            set
            {
                this.targetFileNameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public bool TriggerOnChanged
        {
            get
            {
                return this.triggerOnChangedField;
            }
            set
            {
                this.triggerOnChangedField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public bool TriggerOnCreated
        {
            get
            {
                return this.triggerOnCreatedField;
            }
            set
            {
                this.triggerOnCreatedField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public bool UseZip64Mode
        {
            get
            {
                return this.useZip64ModeField;
            }
            set
            {
                this.useZip64ModeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string ZipErrorTargetFileName
        {
            get
            {
                return this.zipErrorTargetFileNameField;
            }
            set
            {
                this.zipErrorTargetFileNameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public long ZipFileAmount
        {
            get
            {
                return this.zipFileAmountField;
            }
            set
            {
                this.zipFileAmountField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public long ZipFileSubFolderLevel
        {
            get
            {
                return this.zipFileSubFolderLevelField;
            }
            set
            {
                this.zipFileSubFolderLevelField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public long ZipFileTime
        {
            get
            {
                return this.zipFileTimeField;
            }
            set
            {
                this.zipFileTimeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string ZipMode
        {
            get
            {
                return this.zipModeField;
            }
            set
            {
                this.zipModeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string ZipTargetFileName
        {
            get
            {
                return this.zipTargetFileNameField;
            }
            set
            {
                this.zipTargetFileNameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
        public string Ref
        {
            get
            {
                return this.refField;
            }
            set
            {
                this.refField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
        public string Id1
        {
            get
            {
                return this.id1Field;
            }
            set
            {
                this.id1Field = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string i___type
        {
            get
            {
                return this.i___typeField;
            }
            set
            {
                this.i___typeField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities.CellInstances")]
    public partial class ComponentsCellComponentEquipmentEquipmentType
    {

        private long idField;

        private string nameField;

        private string versionField;

        private string id1Field;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
        public long Id
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
        public string Version
        {
            get
            {
                return this.versionField;
            }
            set
            {
                this.versionField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
        public string Id1
        {
            get
            {
                return this.id1Field;
            }
            set
            {
                this.id1Field = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities.CellInstances")]
    public partial class ComponentsCellComponentComponentParameter
    {

        private object enumTypeField;

        private long idField;

        private string nameField;

        private string valueField;

        private string valueTypeField;

        private bool isOverrideField;

        private string id1Field;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
            "mation", IsNullable = true)]
        public object EnumType
        {
            get
            {
                return this.enumTypeField;
            }
            set
            {
                this.enumTypeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
            "mation")]
        public long Id
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
            "mation")]
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
            "mation")]
        public string Value
        {
            get
            {
                return this.valueField;
            }
            set
            {
                this.valueField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.CellAuto" +
            "mation")]
        public string ValueType
        {
            get
            {
                return this.valueTypeField;
            }
            set
            {
                this.valueTypeField = value;
            }
        }

        /// <remarks/>
        public bool IsOverride
        {
            get
            {
                return this.isOverrideField;
            }
            set
            {
                this.isOverrideField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
        public string Id1
        {
            get
            {
                return this.id1Field;
            }
            set
            {
                this.id1Field = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
    public partial class CellInstanceVersionEdaConnection
    {

        private long idField;

        private int checkIntervalField;

        private int connectionTimeoutField;

        private object edaClientProxyFactoryProviderNameField;

        private long maxLostPingsField;

        private string portNameField;

        private int portNumberField;

        private string sSLEnabledField;

        private string id1Field;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
            "ntities")]
        public long Id
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA")]
        public int CheckInterval
        {
            get
            {
                return this.checkIntervalField;
            }
            set
            {
                this.checkIntervalField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA")]
        public int ConnectionTimeout
        {
            get
            {
                return this.connectionTimeoutField;
            }
            set
            {
                this.connectionTimeoutField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA", IsNullable = true)]
        public object EdaClientProxyFactoryProviderName
        {
            get
            {
                return this.edaClientProxyFactoryProviderNameField;
            }
            set
            {
                this.edaClientProxyFactoryProviderNameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA")]
        public long MaxLostPings
        {
            get
            {
                return this.maxLostPingsField;
            }
            set
            {
                this.maxLostPingsField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA")]
        public string PortName
        {
            get
            {
                return this.portNameField;
            }
            set
            {
                this.portNameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA")]
        public int PortNumber
        {
            get
            {
                return this.portNumberField;
            }
            set
            {
                this.portNumberField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA")]
        public string SSLEnabled
        {
            get
            {
                return this.sSLEnabledField;
            }
            set
            {
                this.sSLEnabledField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
        public string Id1
        {
            get
            {
                return this.id1Field;
            }
            set
            {
                this.id1Field = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
    public partial class CellInstanceVersionParentInstance
    {

        private string currentActiveVersionField;

        private object currentHostField;

        private long idField;

        private object infoField;

        private bool isStartedField;

        private string nameField;

        private object startTimeField;

        private bool startableField;

        private object stopTimeField;

        private string targetActiveVersionField;

        private object targetHostField;

        private string id1Field;

        /// <remarks/>
        public string CurrentActiveVersion
        {
            get
            {
                return this.currentActiveVersionField;
            }
            set
            {
                this.currentActiveVersionField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable = true)]
        public object CurrentHost
        {
            get
            {
                return this.currentHostField;
            }
            set
            {
                this.currentHostField = value;
            }
        }

        /// <remarks/>
        public long Id
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable = true)]
        public object Info
        {
            get
            {
                return this.infoField;
            }
            set
            {
                this.infoField = value;
            }
        }

        /// <remarks/>
        public bool IsStarted
        {
            get
            {
                return this.isStartedField;
            }
            set
            {
                this.isStartedField = value;
            }
        }

        /// <remarks/>
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable = true)]
        public object StartTime
        {
            get
            {
                return this.startTimeField;
            }
            set
            {
                this.startTimeField = value;
            }
        }

        /// <remarks/>
        public bool Startable
        {
            get
            {
                return this.startableField;
            }
            set
            {
                this.startableField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable = true)]
        public object StopTime
        {
            get
            {
                return this.stopTimeField;
            }
            set
            {
                this.stopTimeField = value;
            }
        }

        /// <remarks/>
        public string TargetActiveVersion
        {
            get
            {
                return this.targetActiveVersionField;
            }
            set
            {
                this.targetActiveVersionField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable = true)]
        public object TargetHost
        {
            get
            {
                return this.targetHostField;
            }
            set
            {
                this.targetHostField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
        public string Id1
        {
            get
            {
                return this.id1Field;
            }
            set
            {
                this.id1Field = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
    public partial class CellInstanceVersionEdaTraceHandling
    {

        private long maxParameterCollectionTimeDeltaField;

        private object mergeStrategyClassField;

        private object mergeStrategyParametersField;

        private long traceCleanupDaemonIntervalField;

        private TraceSourcePrimaryPrioritiesConnection[] traceSourcePrimaryPrioritiesField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA")]
        public long MaxParameterCollectionTimeDelta
        {
            get
            {
                return this.maxParameterCollectionTimeDeltaField;
            }
            set
            {
                this.maxParameterCollectionTimeDeltaField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA", IsNullable = true)]
        public object MergeStrategyClass
        {
            get
            {
                return this.mergeStrategyClassField;
            }
            set
            {
                this.mergeStrategyClassField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA")]
        public object MergeStrategyParameters
        {
            get
            {
                return this.mergeStrategyParametersField;
            }
            set
            {
                this.mergeStrategyParametersField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA")]
        public long TraceCleanupDaemonInterval
        {
            get
            {
                return this.traceCleanupDaemonIntervalField;
            }
            set
            {
                this.traceCleanupDaemonIntervalField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA")]
        [System.Xml.Serialization.XmlArrayItemAttribute("Connection", IsNullable = false)]
        public TraceSourcePrimaryPrioritiesConnection[] TraceSourcePrimaryPriorities
        {
            get
            {
                return this.traceSourcePrimaryPrioritiesField;
            }
            set
            {
                this.traceSourcePrimaryPrioritiesField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA")]
    public partial class TraceSourcePrimaryPrioritiesConnection
    {

        private long idField;

        private object equipmentDictionariesField;

        private EquipmentType equipmentTypeField;

        private string nameField;

        private string alternateTargetFolderField;

        private long connectionRetryIntervalField;

        private ConnectionSettings connectionSettingsField;

        private bool copySourceFolderStructureField;

        private string defaultPlaceHolderValueField;

        private bool deleteEmptySourceSubFoldersField;

        private string errorPostProcessingModeField;

        private string errorTargetFileLocationField;

        private string errorTargetFileNameField;

        private string fileAgeFilterModeField;

        private string fileAgeThresholdField;

        private long fileHandleTimeoutField;

        private long fileHandleWaitTimeField;

        private int fileScanningIntervalInSecondsField;

        private string fileScanningOptionField;

        private int idleEventWaitTimeInSecondsField;

        private string ifFileExistActionField;

        private string ifPostProcessingFailsActionField;

        private bool includeSubDirectoriesField;

        private string postProcessingModeField;

        private long postProcessingRetriesField;

        private string preProcessingModeField;

        private string skipSearchDirectoryNamesField;

        private string sourceFileFilterField;

        private string sourceFileLocationField;

        private string targetFileLocationField;

        private string targetFileNameField;

        private bool triggerOnChangedField;

        private bool triggerOnCreatedField;

        private bool useZip64ModeField;

        private string zipErrorTargetFileNameField;

        private long zipFileAmountField;

        private long zipFileSubFolderLevelField;

        private long zipFileTimeField;

        private string zipModeField;

        private string zipTargetFileNameField;

        private string id1Field;

        private string i___typeField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
            "ntities")]
        public long Id
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
            "ntities.CellInstances")]
        public object EquipmentDictionaries
        {
            get
            {
                return this.equipmentDictionariesField;
            }
            set
            {
                this.equipmentDictionariesField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
            "ntities.CellInstances")]
        public EquipmentType EquipmentType
        {
            get
            {
                return this.equipmentTypeField;
            }
            set
            {
                this.equipmentTypeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
            "ntities.CellInstances")]
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string AlternateTargetFolder
        {
            get
            {
                return this.alternateTargetFolderField;
            }
            set
            {
                this.alternateTargetFolderField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public long ConnectionRetryInterval
        {
            get
            {
                return this.connectionRetryIntervalField;
            }
            set
            {
                this.connectionRetryIntervalField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public ConnectionSettings ConnectionSettings
        {
            get
            {
                return this.connectionSettingsField;
            }
            set
            {
                this.connectionSettingsField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public bool CopySourceFolderStructure
        {
            get
            {
                return this.copySourceFolderStructureField;
            }
            set
            {
                this.copySourceFolderStructureField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string DefaultPlaceHolderValue
        {
            get
            {
                return this.defaultPlaceHolderValueField;
            }
            set
            {
                this.defaultPlaceHolderValueField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public bool DeleteEmptySourceSubFolders
        {
            get
            {
                return this.deleteEmptySourceSubFoldersField;
            }
            set
            {
                this.deleteEmptySourceSubFoldersField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string ErrorPostProcessingMode
        {
            get
            {
                return this.errorPostProcessingModeField;
            }
            set
            {
                this.errorPostProcessingModeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string ErrorTargetFileLocation
        {
            get
            {
                return this.errorTargetFileLocationField;
            }
            set
            {
                this.errorTargetFileLocationField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string ErrorTargetFileName
        {
            get
            {
                return this.errorTargetFileNameField;
            }
            set
            {
                this.errorTargetFileNameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string FileAgeFilterMode
        {
            get
            {
                return this.fileAgeFilterModeField;
            }
            set
            {
                this.fileAgeFilterModeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string FileAgeThreshold
        {
            get
            {
                return this.fileAgeThresholdField;
            }
            set
            {
                this.fileAgeThresholdField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public long FileHandleTimeout
        {
            get
            {
                return this.fileHandleTimeoutField;
            }
            set
            {
                this.fileHandleTimeoutField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public long FileHandleWaitTime
        {
            get
            {
                return this.fileHandleWaitTimeField;
            }
            set
            {
                this.fileHandleWaitTimeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public int FileScanningIntervalInSeconds
        {
            get
            {
                return this.fileScanningIntervalInSecondsField;
            }
            set
            {
                this.fileScanningIntervalInSecondsField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string FileScanningOption
        {
            get
            {
                return this.fileScanningOptionField;
            }
            set
            {
                this.fileScanningOptionField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public int IdleEventWaitTimeInSeconds
        {
            get
            {
                return this.idleEventWaitTimeInSecondsField;
            }
            set
            {
                this.idleEventWaitTimeInSecondsField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string IfFileExistAction
        {
            get
            {
                return this.ifFileExistActionField;
            }
            set
            {
                this.ifFileExistActionField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string IfPostProcessingFailsAction
        {
            get
            {
                return this.ifPostProcessingFailsActionField;
            }
            set
            {
                this.ifPostProcessingFailsActionField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public bool IncludeSubDirectories
        {
            get
            {
                return this.includeSubDirectoriesField;
            }
            set
            {
                this.includeSubDirectoriesField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string PostProcessingMode
        {
            get
            {
                return this.postProcessingModeField;
            }
            set
            {
                this.postProcessingModeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public long PostProcessingRetries
        {
            get
            {
                return this.postProcessingRetriesField;
            }
            set
            {
                this.postProcessingRetriesField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string PreProcessingMode
        {
            get
            {
                return this.preProcessingModeField;
            }
            set
            {
                this.preProcessingModeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string SkipSearchDirectoryNames
        {
            get
            {
                return this.skipSearchDirectoryNamesField;
            }
            set
            {
                this.skipSearchDirectoryNamesField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string SourceFileFilter
        {
            get
            {
                return this.sourceFileFilterField;
            }
            set
            {
                this.sourceFileFilterField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string SourceFileLocation
        {
            get
            {
                return this.sourceFileLocationField;
            }
            set
            {
                this.sourceFileLocationField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string TargetFileLocation
        {
            get
            {
                return this.targetFileLocationField;
            }
            set
            {
                this.targetFileLocationField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string TargetFileName
        {
            get
            {
                return this.targetFileNameField;
            }
            set
            {
                this.targetFileNameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public bool TriggerOnChanged
        {
            get
            {
                return this.triggerOnChangedField;
            }
            set
            {
                this.triggerOnChangedField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public bool TriggerOnCreated
        {
            get
            {
                return this.triggerOnCreatedField;
            }
            set
            {
                this.triggerOnCreatedField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public bool UseZip64Mode
        {
            get
            {
                return this.useZip64ModeField;
            }
            set
            {
                this.useZip64ModeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string ZipErrorTargetFileName
        {
            get
            {
                return this.zipErrorTargetFileNameField;
            }
            set
            {
                this.zipErrorTargetFileNameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public long ZipFileAmount
        {
            get
            {
                return this.zipFileAmountField;
            }
            set
            {
                this.zipFileAmountField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public long ZipFileSubFolderLevel
        {
            get
            {
                return this.zipFileSubFolderLevelField;
            }
            set
            {
                this.zipFileSubFolderLevelField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public long ZipFileTime
        {
            get
            {
                return this.zipFileTimeField;
            }
            set
            {
                this.zipFileTimeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string ZipMode
        {
            get
            {
                return this.zipModeField;
            }
            set
            {
                this.zipModeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
            "Connector.CellInstances")]
        public string ZipTargetFileName
        {
            get
            {
                return this.zipTargetFileNameField;
            }
            set
            {
                this.zipTargetFileNameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
        public string Id1
        {
            get
            {
                return this.id1Field;
            }
            set
            {
                this.id1Field = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string i___type
        {
            get
            {
                return this.i___typeField;
            }
            set
            {
                this.i___typeField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities.CellInstances")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities.CellInstances", IsNullable = false)]
    public partial class EquipmentType
    {

        private long idField;

        private string nameField;

        private string versionField;

        private string id1Field;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
        public long Id
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.FactoryEntities")]
        public string Version
        {
            get
            {
                return this.versionField;
            }
            set
            {
                this.versionField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute("Id", Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
        public string Id1
        {
            get
            {
                return this.id1Field;
            }
            set
            {
                this.id1Field = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities", IsNullable = false)]
    public partial class Extensions
    {

        private ExtensionsVersionExtension[] versionExtensionField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("VersionExtension")]
        public ExtensionsVersionExtension[] VersionExtension
        {
            get
            {
                return this.versionExtensionField;
            }
            set
            {
                this.versionExtensionField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities.CellInstances")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.FactoryE" +
        "ntities.CellInstances", IsNullable = false)]
    public partial class Components
    {

        private ComponentsCellComponent[] cellComponentField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("CellComponent")]
        public ComponentsCellComponent[] CellComponent
        {
            get
            {
                return this.cellComponentField;
            }
            set
            {
                this.cellComponentField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.EDA", IsNullable = false)]
    public partial class TraceSourcePrimaryPriorities
    {

        private TraceSourcePrimaryPrioritiesConnection[] connectionField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("Connection")]
        public TraceSourcePrimaryPrioritiesConnection[] Connection
        {
            get
            {
                return this.connectionField;
            }
            set
            {
                this.connectionField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace = "http://schemas.datacontract.org/2004/07/EafRuntimeIfx.ManagementInterfaceIfx.File" +
        "Connector.CellInstances", IsNullable = false)]
    public partial class ConnectionSettings
    {

        private Setting[] settingField;

        private string idField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("Setting", Namespace = "http://schemas.datacontract.org/2004/07/Ifx.ManagementInterfaceIfx.Common.Connect" +
            "ionSettings")]
        public Setting[] Setting
        {
            get
            {
                return this.settingField;
            }
            set
            {
                this.settingField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
        public string Id
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Ifx.ManagementInterfaceIfx.Common.Connect" +
        "ionSettings")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Ifx.ManagementInterfaceIfx.Common.Connect" +
        "ionSettings", IsNullable = false)]
    public partial class Setting
    {

        private string nameField;

        private string valueField;

        /// <remarks/>
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        public string Value
        {
            get
            {
                return this.valueField;
            }
            set
            {
                this.valueField = value;
            }
        }
    }

}